<solidify-empty-container (onEscape)=" isEdit ? backToDetail() : backToList()"
                     [solidifyFocusFirstElement]="true"
                     solidifyShortCuts
>
  <solidify-button-toolbar-detail [backToListNavigate]="backToListNavigate()"
                                  (backToDetailChange)="backToDetail()"
                                     (editChange)="edit()"
                                     [currentModel]="currentObs | async"
                                     [deleteAvailable]="deleteAvailable"
                                     [formPresentational]="formPresentational"
                                     [mode]="isEdit ? 'edit' : 'detail'"
  >
  </solidify-button-toolbar-detail>

  <div [solidifySpinner]="isLoadingWithDependencyObs | async"
       class="wrapper"
  >
    <dlcm-admin-role-form #formPresentational
                          (checkAvailableChange)="checkAvailable($event)"
                          (dirtyChange)="updateCanDeactivate($event)"
                          (editChange)="edit()"
                          (submitChange)="update($event)"
                          *ngIf="isReadyToBeDisplayedObs | async"
                          [editAvailable]="editAvailable"
                          [model]="currentObs| async"
                          [readonly]="!isEdit"
    >
    </dlcm-admin-role-form>
  </div>
</solidify-empty-container>
